Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2.views.xslt
Class ProxyElementAdapter

    java.lang.Object
      org.apache.struts2.views.xslt.AbstractAdapterNode
          org.apache.struts2.views.xslt.ProxyNodeAdapter
              org.apache.struts2.views.xslt.ProxyElementAdapter

All Implemented Interfaces:
  AdapterNode, Element, Node

    public class ProxyElementAdapter

extends ProxyNodeAdapter
implements Element

ProxyElementAdapter is a pass-through adapter for objects which already implement the Element interface. All methods are proxied to the underlying Node except getParent(), getNextSibling() and getPreviousSibling(), which are implemented by the abstract adapter node to work with the parent adapter. Note: this class wants to be (extend) both an AbstractElementAdapter and ProxyElementAdapter, but its proxy-ness is winning right now.

Field Summary
`private Log` | `log`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Constructor Summary
`ProxyElementAdapter(AdapterFactory factory, AdapterNode parent, Element value)`

Method Summary
`protected List<Node>` | `buildChildAdapters()` subclasses override to produce their children
`protected Element` | `element()` Get the proxied Element
`String` | `getAttribute(String name)`
`Attr` | `getAttributeNode(String name)`
`Attr` | `getAttributeNodeNS(String namespaceURI, String localName)`
`String` | `getAttributeNS(String namespaceURI, String localName)`
`NodeList` | `getElementsByTagName(String name)`
`NodeList` | `getElementsByTagNameNS(String namespaceURI, String localName)`
`TypeInfo` | `getSchemaTypeInfo()`
`String` | `getTagName()`
`boolean` | `hasAttribute(String name)`
`boolean` | `hasAttributeNS(String namespaceURI, String localName)`
`void` | `removeAttribute(String name)`
`Attr` | `removeAttributeNode(Attr oldAttr)`
`void` | `removeAttributeNS(String namespaceURI, String localName)`
`void` | `setAttribute(String name, String value)`
`Attr` | `setAttributeNode(Attr newAttr)`
`Attr` | `setAttributeNodeNS(Attr newAttr)`
`void` | `setAttributeNS(String namespaceURI, String qualifiedName, String value)`
`void` | `setIdAttribute(String string, boolean b)`
`void` | `setIdAttributeNode(Attr attr, boolean b)`
`void` | `setIdAttributeNS(String string, String string1, boolean b)`
`String` | `toString()`

Methods inherited from class org.apache.struts2.views.xslt.ProxyNodeAdapter
`getAttributes, getLocalName, getNamespaceURI, getNodeName, getNodeType, getNodeValue, getPrefix, hasAttributes, hasChildNodes, isSupported, node, wrap, wrap`

Methods inherited from class org.apache.struts2.views.xslt.AbstractAdapterNode
`appendChild, cloneNode, compareDocumentPosition, getAdapterFactory, getBaseURI, getChildAdapters, getChildAfter, getChildBefore, getChildBeforeOrAfter, getChildNodes, getFeature, getFirstChild, getLastChild, getNextSibling, getOwnerDocument, getParent, getParentNode, getPreviousSibling, getPropertyName, getPropertyValue, getTextContent, getUserData, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, lookupNamespaceURI, lookupPrefix, normalize, operationNotSupported, removeChild, replaceChild, setAdapterFactory, setContext, setNodeValue, setParent, setPrefix, setPropertyName, setPropertyValue, setTextContent, setUserData`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

Field Detail

### log

    private Log log

Constructor Detail

### ProxyElementAdapter

    public ProxyElementAdapter(AdapterFactory factory,
                               AdapterNode parent,
                               Element value)

Method Detail

### element

    protected Element element()

  Get the proxied Element

### buildChildAdapters

    protected List<Node> buildChildAdapters()

  Description copied from class: `AbstractAdapterNode`
  subclasses override to produce their children

  Overrides:
    `buildChildAdapters` in class `AbstractAdapterNode`
  Returns:
    List of child adapters.

### getTagName

    public String getTagName()

  Specified by:
    `getTagName` in interface `Element`

### hasAttribute

    public boolean hasAttribute(String name)

  Specified by:
    `hasAttribute` in interface `Element`

### getAttribute

    public String getAttribute(String name)

  Specified by:
    `getAttribute` in interface `Element`

### hasAttributeNS

    public boolean hasAttributeNS(String namespaceURI,
                                  String localName)

  Specified by:
    `hasAttributeNS` in interface `Element`

### getAttributeNode

    public Attr getAttributeNode(String name)

  Specified by:
    `getAttributeNode` in interface `Element`

### getElementsByTagName

    public NodeList getElementsByTagName(String name)

  Specified by:
    `getElementsByTagName` in interface `Element`
  Overrides:
    `getElementsByTagName` in class `AbstractAdapterNode`

### getAttributeNS

    public String getAttributeNS(String namespaceURI,
                                 String localName)

  Specified by:
    `getAttributeNS` in interface `Element`

### getAttributeNodeNS

    public Attr getAttributeNodeNS(String namespaceURI,
                                   String localName)

  Specified by:
    `getAttributeNodeNS` in interface `Element`

### getElementsByTagNameNS

    public NodeList getElementsByTagNameNS(String namespaceURI,
                                           String localName)

  Specified by:
    `getElementsByTagNameNS` in interface `Element`
  Overrides:
    `getElementsByTagNameNS` in class `AbstractAdapterNode`

### removeAttribute

    public void removeAttribute(String name)
                         throws DOMException

  Specified by:
    `removeAttribute` in interface `Element`
  Throws:
    `DOMException`

### removeAttributeNS

    public void removeAttributeNS(String namespaceURI,
                                  String localName)
                           throws DOMException

  Specified by:
    `removeAttributeNS` in interface `Element`
  Throws:
    `DOMException`

### setAttribute

    public void setAttribute(String name,
                             String value)
                      throws DOMException

  Specified by:
    `setAttribute` in interface `Element`
  Throws:
    `DOMException`

### removeAttributeNode

    public Attr removeAttributeNode(Attr oldAttr)
                             throws DOMException

  Specified by:
    `removeAttributeNode` in interface `Element`
  Throws:
    `DOMException`

### setAttributeNode

    public Attr setAttributeNode(Attr newAttr)
                          throws DOMException

  Specified by:
    `setAttributeNode` in interface `Element`
  Throws:
    `DOMException`

### setAttributeNodeNS

    public Attr setAttributeNodeNS(Attr newAttr)
                            throws DOMException

  Specified by:
    `setAttributeNodeNS` in interface `Element`
  Throws:
    `DOMException`

### setAttributeNS

    public void setAttributeNS(String namespaceURI,
                               String qualifiedName,
                               String value)
                        throws DOMException

  Specified by:
    `setAttributeNS` in interface `Element`
  Throws:
    `DOMException`

### getSchemaTypeInfo

    public TypeInfo getSchemaTypeInfo()

  Specified by:
    `getSchemaTypeInfo` in interface `Element`

### setIdAttribute

    public void setIdAttribute(String string,
                               boolean b)
                        throws DOMException

  Specified by:
    `setIdAttribute` in interface `Element`
  Throws:
    `DOMException`

### setIdAttributeNS

    public void setIdAttributeNS(String string,
                                 String string1,
                                 boolean b)
                          throws DOMException

  Specified by:
    `setIdAttributeNS` in interface `Element`
  Throws:
    `DOMException`

### setIdAttributeNode

    public void setIdAttributeNode(Attr attr,
                                   boolean b)
                            throws DOMException

  Specified by:
    `setIdAttributeNode` in interface `Element`
  Throws:
    `DOMException`

### toString

    public String toString()

  Overrides:
    `toString` in class `ProxyNodeAdapter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2007 Apache Software Foundation. All Rights Reserved.